summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPierre-Olivier Mercier <nemunaire@nemunai.re>2019-06-21 14:07:02 +0200
committerMichał Górny <mgorny@gentoo.org>2019-06-27 16:49:22 +0200
commitc69cf511301d84dd601832dcd5d2f16978d20517 (patch)
tree95494a75e02c05117be93d468b585b794628fb67 /www-apps
parentsci-physics/clhep: version bump to 2.4.1.2 (diff)
downloadgentoo-c69cf511301d84dd601832dcd5d2f16978d20517.tar.gz
gentoo-c69cf511301d84dd601832dcd5d2f16978d20517.tar.bz2
gentoo-c69cf511301d84dd601832dcd5d2f16978d20517.zip
www-apps/gitea: bump to 1.8.3
Package-Manager: Portage-2.3.62, Repoman-2.3.11 Signed-off-by: Pierre-Olivier Mercier <nemunaire@nemunai.re> Closes: https://github.com/gentoo/gentoo/pull/12298 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/gitea/Manifest1
-rw-r--r--www-apps/gitea/gitea-1.8.3.ebuild104
2 files changed, 105 insertions, 0 deletions
diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 7b0f2c8349b..131fa9008c2 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,2 +1,3 @@
DIST gitea-1.8.0.tar.gz 24268907 BLAKE2B b46a17733fc7bd0f228620bdfadf0d596ea56fca6e685afab7734e794c1f87c5e004529ca3d69e907d516bcb83563565b1d8c32501f1c2c0f9295ca028d96ad0 SHA512 eebbe2f77ed2e4c3562f48a6fa647e6f2a0492c5b6ea4f13542a5ef82e94a357a8d53897aa013107b5f735d2aff9d719893b5724de44831c43998c2e9c6e78d7
DIST gitea-1.8.2.tar.gz 24321492 BLAKE2B 48a718edd1d607e4f8ee2a301bdd907f2a233be515fa327eac9cfb50cdbc024e5f90e6e86e95056c256cb35497c5a3b2ab5fa4a068a22b28c1a3d2b94780da7a SHA512 23ef63c1cea276800a19fe04b87b4baa421e1202260b4ec55614a77ee54c0bc9e5db6dad7f98791c4d902b2d4cb15f4facc4d201631cf2ef7cefd0ff996753be
+DIST gitea-1.8.3.tar.gz 24320679 BLAKE2B 9ef901ef7e1cb6ffa9a2aa082798b7a18ac2a6fdb4379082df3f942d767a27fd3915c7a4d2cb1af6f502a8cde3c1c98557c42d4c0ef60be7bdad78d8931035e0 SHA512 f6019fbfc056e4c7176222ccaca1cf638bd1f52323de54fcddc618129aeb778674f6e305de60e7d17b69505ad65439445ee6b5e368afdf0a6fbace7407acb495
diff --git a/www-apps/gitea/gitea-1.8.3.ebuild b/www-apps/gitea/gitea-1.8.3.ebuild
new file mode 100644
index 00000000000..bdefa9b6352
--- /dev/null
+++ b/www-apps/gitea/gitea-1.8.3.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit golang-vcs-snapshot systemd user
+
+EGO_PN="code.gitea.io/gitea"
+
+DESCRIPTION="A painless self-hosted Git service"
+HOMEPAGE="https://gitea.io"
+SRC_URI="https://github.com/go-gitea/gitea/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="pam sqlite"
+
+COMMON_DEPEND="pam? ( sys-libs/pam )"
+DEPEND="${COMMON_DEPEND}
+ dev-go/go-bindata"
+RDEPEND="${COMMON_DEPEND}
+ dev-vcs/git"
+
+DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md )
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+pkg_setup() {
+ enewgroup git
+ enewuser git -1 /bin/bash /var/lib/gitea git
+}
+
+gitea_make() {
+ local my_tags=(
+ bindata
+ $(usev pam)
+ $(usex sqlite 'sqlite sqlite_unlock_notify' '')
+ )
+ local my_makeopt=(
+ DRONE_TAG=${PV}
+ TAGS="${my_tags[@]}"
+ )
+ GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" "$@"
+}
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s#^RUN_MODE = dev#RUN_MODE = prod#" \
+ -e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#" \
+ -e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#" \
+ -e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#" \
+ -e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#" \
+ -e "s#^MODE = console#MODE = file#" \
+ -e "s#^LEVEL = Trace#LEVEL = Info#" \
+ -e "s#^LOG_SQL = true#LOG_SQL = false#" \
+ -e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#" \
+ -e "s#^APP_ID =#;APP_ID =#" \
+ -e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#" \
+ custom/conf/app.ini.sample || die
+ if use sqlite ; then
+ sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
+ fi
+
+ gitea_make generate
+}
+
+src_compile() {
+ gitea_make build
+}
+
+src_test() {
+ gitea_make test
+}
+
+src_install() {
+ dobin gitea
+
+ einstalldocs
+
+ newconfd "${FILESDIR}"/gitea.confd-r1 gitea
+ newinitd "${FILESDIR}"/gitea.initd-r3 gitea
+ systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
+
+ insinto /etc/gitea
+ newins custom/conf/app.ini.sample app.ini
+ fowners root:git /etc/gitea/{,app.ini}
+ fperms g+w,o-rwx /etc/gitea/{,app.ini}
+
+ diropts -m0750 -o git -g git
+ keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+ keepdir /var/log/gitea
+}
+
+pkg_postinst() {
+ if [[ -e "${EROOT}/var/lib/gitea/conf/app.ini" ]]; then
+ ewarn "The configuration path has been changed to ${EROOT}/etc/gitea/app.ini."
+ ewarn "Please move your configuration from ${EROOT}/var/lib/gitea/conf/app.ini"
+ ewarn "and adapt the gitea-repositories hooks and ssh authorized_keys."
+ ewarn "Depending on your configuration you should run something like:"
+ ewarn "sed -i -e 's#${EROOT}/var/lib/gitea/conf/app.ini#${EROOT}/etc/gitea/app.ini#' \\"
+ ewarn " /var/lib/gitea/gitea-repositories/*/*/hooks/*/* \\"
+ ewarn " /var/lib/gitea/.ssh/authorized_keys"
+ fi
+}